IOS11遇到的promise方法不兼容

THIS
前言:在开发H5的时候 我们往往需要兼容不同的手机的兼容的问题,IOS的范围最低到 >=9;
安卓 => 6.0

项目背景:H5嵌入在app中;

调试:app客户端开发者手动打包debug包,进行safair浏览器进行调试 发现控制台报错:

error

解决:明显就是不兼容 当前的promise的finally的方法、直接引入:promise.prototype.finally 兼容低版本的垫片即可

参考链接:

阅读 919

杨老头的小书桌
平常记录项目问题的坑坑洼洼

多读书、多看报、少吃零食、多睡觉

716 声望
9 粉丝
0 条评论

多读书、多看报、少吃零食、多睡觉

716 声望
9 粉丝
文章目录
宣传栏